Package wx :: Class CustomDataObject

[frames | no frames]

## Type CustomDataObject

      object --+
               |
      DataObject --+
                   |
    DataObjectSimple --+
                       |
                      CustomDataObject

wx.CustomDataObject is a specialization of `wx.DataObjectSimple` for some application-specific data in arbitrary format. Python strings are used for getting and setting data, but any picklable object can easily be transfered via strings. A copy of the data is stored in the data object.

Method Summary
CustomDataObject | ``__init__`(self, format)` __init__(self, String formatName) -> CustomDataObject __init__(self) -> CustomDataObject
String | ``GetData`(self)` Returns the data bytes from the data object as a string.
size_t | ``GetSize`(self)` Get the size of the data.
bool | ``SetData`(self, data)` Copy the data value to the data object.
bool | ``TakeData`(self, data)` Copy the data value to the data object.

Property Summary
| `Data`: See `GetData` and `SetData`
| `Size`: See `GetSize`
| `thisown`: The membership flag

Class Variable Summary

Method Details

### __init__(self, format)
(Constructor)

__init__(self, String formatName) -> CustomDataObject __init__(self) -> CustomDataObject

wx.CustomDataObject is a specialization of `wx.DataObjectSimple` for some application-specific data in arbitrary format. Python strings are used for getting and setting data, but any picklable object can easily be transfered via strings. A copy of the data is stored in the data object.

  Parameters:
    `format`
    (type=DataFormat)

  Returns:
    CustomDataObject
  Overrides:
    `wx.DataObjectSimple.__init__`

### GetData(self)

Returns the data bytes from the data object as a string.

  Returns:
    String

### GetSize(self)

Get the size of the data.

  Returns:
    size_t

### SetData(self, data)

Copy the data value to the data object.

  Parameters:
    `data`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.DataObjectSimple.SetData`

### TakeData(self, data)

Copy the data value to the data object.

  Parameters:
    `data`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.DataObjectSimple.SetData`

Property Details

### Data

See `GetData` and `SetData`

  Get Method:
    `GetData`(self)
  Set Method:
    `SetData`(self, data)

### Size

See `GetSize`

  Get Method:
    `GetSize`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:28 2007 | http://epydoc.sf.net